﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using OASystem.API.OAMethodLib.JuHeAPI;

namespace OASystem.API.Controllers
{
    /// <summary>
    /// 小功能接口
    /// </summary>
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class SmallFunController : ControllerBase
    {
        private readonly IJuHeApiService _juHeApiService;

        /// <summary>
        /// 初始化
        /// </summary>
        /// <param name="juHeApiService"></param>
        public SmallFunController(IJuHeApiService juHeApiService)
        {
            this._juHeApiService = juHeApiService;
        }

        /// <summary>
        /// 获取汇率
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost]
        [ProducesResponseType(typeof(JsonView), StatusCodes.Status200OK)]
        public async Task<IActionResult> GetMsgList()
        {
            var msgData = await _juHeApiService.GetExchangeRateAsync();


            return Ok(JsonView(true));
        }

    }
}
