﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{

    #region 供应商查询参数实体

    public class Search_ResItemVendorDto : DtoBase
    {
        /// <summary>
        /// 查询类型(int)
        /// <list type="table">
        /// <item>1:对象</item>
        /// <item>2:列表</item>
        /// </list>
        /// </summary>
        public int SearchType { get; set; }

        #region 对象 只需要Id

        /// <summary>
        /// 供应商Id
        /// </summary>
        public int VendorId { get; set; }

        #endregion


        /// <summary>
        /// 供应商名称
        /// </summary>
        public string VendorName { get; set; }

        /// <summary>
        /// 供应商地址
        /// </summary>
        public string VendorAddress { get; set; }

        /// <summary>
        /// 供应商联系人
        /// </summary>
        public string VendorLinker { get; set; }

        /// <summary>
        /// 供应商联系方式
        /// </summary>
        public string VendorMobile { get; set; }
    }

    #endregion
    #region 供应商编辑参数实体

    public class Edit_ResItemVendorDto
    {
        public int VendorId { get; set; }
        public string VendorFullName { get; set; }
        public string VendorShortName { get; set; }
        public string VendorAddress { get; set; }
        public string VendorLinker { get; set; }
        public string VendorMobile { get; set; }
        public string VendorJob { get; set; }
        public string Remark { get; set; }

        public int SysUserId { get; set; }

        /// <summary>
        /// 0:添加,1:修改,-1:删除
        /// </summary>
        public int EditType { get; set; }
    }

    #endregion
    #region 物料信息查询参数实体
    public class Search_ItemInfoDto : DtoBase
    {
        /// <summary>
        /// 查询类型(int)
        /// <list type="table">
        /// <item>1:对象</item>
        /// <item>2:列表</item>
        /// </list>
        /// </summary>
        public int SearchType { get; set; }

        #region 对象 只需要Id
        /// <summary>
        /// 物料Id
        /// </summary>
        public int ItemId { get; set; }
        #endregion

        /// <summary>
        /// 供应商Id
        /// </summary>
        public int VendorId { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        public string ItemName { get; set; }

        /// <summary>
        /// 类型Id
        /// </summary>
        public int SetDataId { get; set; }

        /// <summary>
        /// 价格区间(最低)
        /// </summary>
        public decimal MinRate { get; set; }

        /// <summary>
        /// 价格区间(最高)
        /// </summary>
        public decimal MaxRate { get; set; }
    }
    #endregion
    #region 物料信息编辑参数实体
    public class Edit_ResItemInfoDto
    {
        public int ItemId { get; set; }
        public int VendorId { get; set; }
        public string ItemName { get; set; }
        public int SetDataId { get; set; }
        public decimal CurrRate { get; set; }
        public string Remark { get; set; }

        public int SysUserId { get; set; }

        /// <summary>
        /// 0:添加,1:修改,-1:删除
        /// </summary>
        public int EditType { get; set; }
    }
    #endregion
}
