﻿using Org.BouncyCastle.Asn1.Ocsp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Google.Protobuf.Reflection.SourceCodeInfo.Types;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 新客户资料表
    /// </summary>
    [SugarTable("Crm_NewClientData")]
    public class Crm_NewClientData : EntityBase
    {
        private int number;
        private int lvlid;
        private string client;
        private string weight;
        private string clientshort;
        private string contact;
        private int gender;
        private string passport;
        private DateTime? passportDate;
        private string job;
        private string telephone;
        private string phone;
        private string email;
        private string location;
        private string address;
        private DateTime? birthday;
        private string otherinfo;
        private string wechat;
        private int category;
        private int predele;
        private int finlishedDele;

        /// <summary>
        /// 序号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Number { get => number; set => number = value; }

        /// <summary>
        /// 地市州Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Lvlid { get => lvlid; set => lvlid = value; }

        /// <summary>
        /// 客户单位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Client { get => client; set => client = value; }

        /// <summary>
        /// 权重
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Weight { get => weight; set => weight = value; }

        /// <summary>
        /// 客户单位简写
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Clientshort { get => clientshort; set => clientshort = value; }

        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Contact { get => contact; set => contact = value; }

        /// <summary>
        /// 联系人性别
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Gender { get => gender; set => gender = value; }

        /// <summary>
        /// 护照
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Passport { get => passport; set => passport = value; }

        /// <summary>
        /// 护照日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime? PassportDate { get => passportDate; set => passportDate = value; }

        /// <summary>
        /// 职位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Job { get => job; set => job = value; }

        /// <summary>
        /// 联系手机号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Telephone { get => telephone; set => telephone = value; }

        /// <summary>
        /// 联系座机号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Phone { get => phone; set => phone = value; }

        /// <summary>
        /// 邮件
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Email { get => email; set => email = value; }

        /// <summary>
        /// 所属区域(所在城市)
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Location { get => location; set => location = value; }

        /// <summary>
        /// 地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string Address { get => address; set => address = value; }

        /// <summary>
        /// 生日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "Date")]
        public DateTime? Birthday { get => birthday; set => birthday = value; }

        /// <summary>
        /// 其他信息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Otherinfo { get => otherinfo; set => otherinfo = value; }

        /// <summary>
        /// 微信
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Wechat { get => wechat; set => wechat = value; }

        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Category { get => category; set => category = value; }

        /// <summary>
        /// 预计出团
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Predele { get => predele; set => predele = value; }

        /// <summary>
        /// 已出团
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int FinlishedDele { get => finlishedDele; set => finlishedDele = value; }
    }
}
