﻿using OASystem.Domain.Entities.Customer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.CRM
{
    /// <summary>
    /// 签证客户信息 View
    /// </summary>
    public class VisaDeleClientView: Crm_DeleClient
    { }

    /// <summary>
    /// 签证客户信息 ListView
    /// </summary>
    public class VisaDeleClientListView 
    {
        /// <summary>
        /// Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 客户姓名
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// 所属公司
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// 性别 0 男  1 女
        /// </summary>
        public int Sex { get; set; }

        /// <summary>
        /// 婚姻状态
        ///  0、1、2、3、4 (未设置、未婚、已婚、离异、丧偶)
        /// </summary>
        public int Marriage { get; set; }

        /// <summary>
        /// 客户座机
        /// </summary>
        public string LandlinePhone { get; set; }

        /// <summary>
        /// 客户手机号
        /// </summary>
        public string Tel { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string IDNo { get; set; }

        /// <summary>
        /// 护照号码
        /// </summary>
        public string PassportNo { get; set; }
    }

    public class ClientByGroupIdView
    {
        /// <summary>
        /// clientId
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 姓
        /// </summary>
        public string LastName { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string Tel { get; set; }

        /// <summary>
        /// 身份证No
        /// </summary>
        public string IdNo { get; set; }
    }

   
}
